Subject: xpmroot question

From: "Robert H. Ford II" <[email-masked]>
Date: Thu, 08 Apr 1999 15:10:19 -0500

Does fvwm own xpmroot?  If so, would it be possible to add an option to xpmroot
that would expand (or shrink as the case may be) a XPM file to the screen size
instead of tiling it?

I don't like to use "xv" as it is slow (plus I don't think there is a command
line option to maximize an object).

So I have several xpm's that are 1280x1024 and 2.6 megs.  It would be nice if I
could store smaller versions that xpmroot would expand to fit the screen.

Well it's just an idea.
-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     mailto:[email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Thu, 08 Apr 1999 20:25:52 -0400

> could store smaller versions that xpmroot would expand to fit the screen.

To expand an image with xv use "-max" or "-maxp"

I've found "xli" faster than xv.  With xli I use "-fill" or "-full".

Maybe someone else knows xpmroots history.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 9 Apr 1999 02:33:28 +0200

> line option to maximize an object).

I can't answer your question, but the '-max' option to xv does this.
Speed depends heavily on the original dimension of the picture. And
if you already think xv is slow you will hate it (it can easily take
15 seconds).

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]